<?php
namespace admin;
use common\libraries\Translation;
use common\libraries\Path;
use common\libraries\ObjectTable;
use common\libraries\ObjectTableFormAction;
use common\libraries\Utilities;
/**
 * $Id: content_object_registration_browser_table.class.php 126 2009-11-09 13:11:05Z vanpouckesven $
 * 
 * @package admin.lib.package_manager.component.registration_browser
 */

/**
 * Table to display a set of learning objects.
 */
class ContentObjectRegistrationBrowserTable extends ObjectTable
{
    const DEFAULT_NAME = 'content_object_registration_browser_table';

    /**
     * Constructor
     * 
     * @see ContentObjectTable::ContentObjectTable()
     */
    function __construct($browser, $parameters, $condition)
    {
        $model = new ContentObjectRegistrationBrowserTableColumnModel();
        $renderer = new ContentObjectRegistrationBrowserTableCellRenderer($browser);
        $data_provider = new ContentObjectRegistrationBrowserTableDataProvider($browser, $condition);
        parent :: __construct($data_provider, ContentObjectRegistrationBrowserTable :: DEFAULT_NAME, $model, $renderer);
        $this->set_additional_parameters($parameters);
        $this->set_default_row_count(20);
    }
}
?>