<?php
namespace admin;

/**
 * Package Language Remover
 * 
 * @author Hans De Bisschop - Erasmus Hogeschool Brussel
 * @author Magali Gillard - Erasmus Hogeschool Brussel
 * @author Sven Vanpoucke - Hogeschool Gent - Cleanup, code refactoring and bugfixes, comments
 * @package admin.lib.package_installer
 */
class PackageLanguageRemover extends PackageRemover
{

    /**
     * Deletes the actual package
     * 
     * @return boolean
     */
    function delete()
    {
        $language = AdminDataManager :: get_instance()->retrieve_language_from_isocode($this->get_registration()->get_name());
        return $language->delete();
    }

}
?>