<?php
namespace admin;

use reporting\ReportingTemplate;
/**
 *
 * @author Michael Kyndt
 */

class AdminDataReportingTemplate extends ReportingTemplate
{

    function __construct($parent)
    {
        parent :: __construct($parent);
        $this->add_reporting_block(new AdminNoOfApplicationsReportingBlock($this));
        $this->add_reporting_block(new AdminMostUsedWebApplicationsReportingBlock($this));
        $this->add_reporting_block(new AdminMostUsedCoreApplicationsReportingBlock($this));
    }

    function get_application()
    {
        return AdminManager :: APPLICATION_NAME;
    }

    function display_context()
    {
    
    }

    function is_platform()
    {
        return true;
    }
}
?>