<?php

namespace application\personal_messenger;

use common\libraries\Utilities;

/** * ***************************************************************************
 * Marker for the status UNTRASH -> translated to the actual status: READ
 *
 * @name Chamilo Personal Messenger > PersonalMessengerManagerMarkerUntrashComponent
 * @version 1.0.0
 * @author Stijn Van Hoecke
 * @see PersonalMessengerManagerMarkerComponent
 * **************************************************************************** */
class PersonalMessengerManagerMarkerUntrashComponent extends PersonalMessengerManagerMarkerComponent
{

    //**************************************************************************
    // INHERITED FUNCTIONS
    //**************************************************************************
    /**
     * Updates the status of the message to the appropriate implementation.
     * @param UserMessage The user message
     */
    function update_status($user_message)
    {
        $user_message->set_status(UserMessage :: STATUS_READ);
    }

    /**
     * Returns the status (identifier for translation).
     * @return string The status
     */
    function get_translation_status()
    {
        //return Utilities :: underscores_to_camelcase(UserMessage :: get_status_name(UserMessage :: STATUS_READ));
        return 'Restored';
    }
}

?>