<?php
namespace application\personal_messenger;

use common\libraries\WebApplicationInstaller;

/**
 * * *************************************************************************** This installer can be used to create
 * the storage structure for the personal messenger application.
 *
 * @name Chamilo Personal Messenger > PersonalMessengerInstaller
 * @version 1.0.0
 * @author Stijn Van Hoecke ****************************************************************************
 */
class PersonalMessengerInstaller extends WebApplicationInstaller
{

    /**
     * Constructor
     */
    function __construct($values)
    {
        parent :: __construct($values, PersonalMessengerDataManager :: get_instance());
    }

    /**
     * Returns the path to the current directory.
     *
     * @return <String> The path
     */
    function get_path()
    {
        return parent :: get_path();
    }
}

?>