<?php
namespace application\weblcms\course;

use common\libraries\NewObjectTable;

/**
 * This class describes a table to view all the courses where a user is
 * subscribed to with the possibility
 * for the user to unsubscribe himself from these courses
 *
 * @package \application\weblcms\course
 *         
 * @author Yannick & Tristan
 * @author Sven Vanpoucke - Hogeschool Gent - Refactoring
 */
class SubscribedCourseTable extends NewObjectTable
{
    const TABLE_IDENTIFIER = CourseManager :: PARAM_COURSE_ID;
    const DEFAULT_ROW_COUNT = 20;

}
?>