<?php
namespace application\weblcms\course;

use common\libraries\NewObjectTable;

/**
 * This class describes a table to view all the courses where the user is not
 * subscribed to
 * with the possibility for the user to subscribe himself to these courses
 *
 * @package \application\weblcms\course
 *         
 * @author Yannick & Tristan
 * @author Sven Vanpoucke - Hogeschool Gent - Refactoring
 */
class UnsubscribedCourseTable extends NewObjectTable
{
    const TABLE_IDENTIFIER = CourseManager :: PARAM_COURSE_ID;
    const DEFAULT_ROW_COUNT = 20;

}
?>