<?php
namespace application\weblcms;

/**
 * $Id: table_content_object_publication_list_renderer.class.php 216 2009-11-13 14:08:06Z kariboe $
 *
 * @package application.lib.weblcms.browser.list_renderer
 */
/**
 * Renderer to display a sortable table with learning object publications.
 */
class GalleryTableContentObjectPublicationListRenderer extends ContentObjectPublicationListRenderer
{

    /**
     * Returns the HTML output of this renderer.
     *
     * @return string The HTML output
     */
    function as_html()
    {
        $object_publication_table_cell_renderer = null;

        $table = new ObjectPublicationGalleryTable($this, $this->get_publication_conditions(), $object_publication_table_cell_renderer);
        return $table->as_html();
    }
}
?>