<?php
namespace application\weblcms;

use common\libraries\Translation;

/**
 * Defines the reporting block for platform group information.
 * Only implements the methods necessary to customise otherwise common
 * information display defined in the superclass.
 *
 * @author Anthony Hurst (Hogeschool Gent)
 */
class WeblcmsAssignmentPlatformGroupInformationReportingBlock extends WeblcmsAssignmentSubmitterInformationReportingBlock
{

    /**
     * Defines the row title to be displayed in parent::ROW_SUBMITTER.
     */
    protected function define_row_submitter_title()
    {
        return Translation :: get('PlatformGroup');
    }
}

?>
