<?php

namespace application\weblcms;

use common\libraries\Translation;
use common\libraries\GetObjectWebserviceHandler;

class ContentObjectPublicationGetWebserviceHandler extends GetObjectWebserviceHandler
{

    public function get_object()
    {
        return WeblcmsDataManager :: get_instance()->retrieve_content_object_publication($this->get_id());
    }

    public function get_object_translation()
    {
        return Translation :: get('ContentObjectPublication');
    }

    public function is_allowed_to_retrieve_object($object)
    {
        return ($object->get_publisher_id() == $this->get_user_id());
    }
}

?>
