<?php

namespace application\weblcms;

use common\libraries\Translation;
use common\libraries\CreateObjectWebserviceHandler;

class ContentObjectPublicationCategoryCreateWebserviceHandler extends CreateObjectWebserviceHandler
{

    function get_object()
    {
        return new ContentObjectPublicationCategory();
    }

    function get_object_translation()
    {
        return Translation :: get('ContentObjectPublicationCategory');
    }

    function manipulate_data($object, $extra_properties = null)
    {
        return $object;
    }

    function is_allowed_to_create_object($object)
    {
        if ($this->get_user()->is_platform_admin())
        {
            return true;
        }
        return WeblcmsDataManager :: get_instance()->is_course_admin($object->get_course(), $this->get_user_id());
    }
}

?>
