(function($)
{
    var defaultName = "Name";
    var defaultMaxGroups = "0";
    
    function selectGroupGroupNone(ev, ui)
    {
        hideGroupGroupList();
        hideGroupGroupName();
        hideGroupGroupRandom();
        hideGroupGroupMaxRegistrations();
    }

    function selectGroupGroupExisting(ev, ui)
    {
        hideGroupGroupName();
        hideGroupGroupMaxRegistrations();
        showGroupGroupList();
        showGroupGroupRandom();
    }

    function selectGroupGroupNew(ev, ui)
    {
        hideGroupGroupList();
        showGroupGroupName();
        showGroupGroupRandom();
        showGroupGroupMaxRegistrations();
    }
    
    function hideGroupGroupName()
    {
        $("#group_group_name").hide();
        $("#group_name").val(defaultName);
    }
    
    function hideGroupGroupList()
    {
        $("#group_group_list").hide();
    }
    
    function hideGroupGroupRandom()
    {
        $("#group_group_random").hide();
    }
    
    function hideGroupGroupMaxRegistrations()
    {
        $("#group_group_max_registrations").hide();
        $("#max_number_of_course_group_per_member").val(defaultMaxGroups);
    }
    
    function showGroupGroupName()
    {
        if($("#group_name").val() == defaultName)
        {
            $("#group_name").val("");
        }
        $("#group_group_name").show();
    }
    
    function showGroupGroupList()
    {
        $("#group_group_list").show();
    }
    
    function showGroupGroupRandom()
    {
        $("#group_group_random").show();
    }
    
    function showGroupGroupMaxRegistrations()
    {
        if($("#max_number_of_course_group_per_member").val() == defaultMaxGroups)
        {
            $("#max_number_of_course_group_per_member").val("");
        }
        $("#group_group_max_registrations").show();
    }

    $(document).ready( function()
    {
            $("#group_group_none").live("click", selectGroupGroupNone);
            $("#group_group_existing").live("click", selectGroupGroupExisting);
            $("#group_group_new").live("click", selectGroupGroupNew);
            
            if($('#group_group_none').is(':checked'))
            {
                selectGroupGroupNone();
            }
            if($('#group_group_existing').is(':checked'))
            {
                selectGroupGroupExisting();
            }
            if($('#group_group_new').is(':checked'))
            {
                selectGroupGroupNew();
            }
    });
})(jQuery);
