<?php
namespace application\weblcms\tool\assessment;

/**
 * $Id: survey_publisher_component.class.php 216 2009-11-13 14:08:06Z kariboe $
 * 
 * @package
 *          application.lib.weblcms.tool.assessment.component.assessment_survey_publisher
 */

abstract class SurveyPublisherComponent
{
    protected $parent;

    function __construct($parent)
    {
        $this->parent = $parent;
    }

    abstract function run();

    function factory($parent, $publish_action)
    {
        switch ($publish_action)
        {
            case AssessmentTool :: ACTION_VIEW :
                return new SurveyPublicationViewer($parent);
            case AssessmentTool :: ACTION_PUBLISH :
                return new SurveyPublisher($parent);
            default :
                return new SurveyPublisher($parent);
        }
    }
}
?>