<?php
namespace application\weblcms\tool\assignment;

use common\libraries\DelegateComponent;

use application\weblcms\Tool;
use application\weblcms\ToolComponent;
use common\libraries\Breadcrumb;
use common\libraries\Request;
use common\libraries\Translation;

/**
 * CategoryMover component for the assignment tool.
 *
 * @author Bert De Clercq (Hogeschool Gent)
 * @author Anthony Hurst (Hogeschool Gent)
 */
class AssignmentToolCategoryMoverComponent extends AssignmentTool implements DelegateComponent
{

    /**
     * Launches the CategoryMover component.
     */
    function run()
    {
        ToolComponent :: launch($this);
    }

    /**
     * #Override
     * Returns the additional parameters as an array.
     *
     * @return array The additional parameters
     */
    function get_additional_parameters()
    {
        return array(Tool :: PARAM_PUBLICATION_ID);
    }

}

?>
