<?php
namespace application\weblcms\tool\assignment;

use common\libraries\ObjectTableColumn;

/**
 * Extends SubmissionBrowserTableColumnModel to include the group members
 * column.
 *
 * @author Anthony Hurst (Hogeschool Gent)
 */
class SubmissionGroupsBrowserTableColumnModel extends SubmissionBrowserTableColumnModel
{

    /**
	 * 
	 */
	/**function __construct($submitter_type)
    {
        parent :: __construct($submitter_type);
    }

    /**
     * Extends the columns available to the renderer.
     */
    function get_columns()
    {
        $columns = parent :: get_columns();
        $additional_columns = array();
        $additional_columns[] = new ObjectTableColumn(AssignmentTool :: PROPERTY_GROUP_MEMBERS, false);
        array_splice($columns, 3, 0, $additional_columns);
        return $columns;
    }
}

?>
