<?php
namespace application\weblcms\tool\assignment;

use common\libraries\ObjectTable;

/**
 * Description of student_submissions_browser_own_groups_table
 *
 * @author Anthony Hurst (Hogeschool Gent)
 */
class StudentSubmissionsBrowserOwnGroupsTable extends ObjectTable
{
    const DEFAULT_NAME = 'student_submissions_browser_own_groups_table';

    public function __construct($browser, $search_condition, $table_conditions)
    {
        // $model = new
        // SubmissionGroupsBrowserTableColumnModel(WeblcmsAssignmentSubmissionsTracker::SUBMITTER_TYPE_COURSE_GROUP);
        $model = new StudentSubmissionsBrowserOwnGroupsTableColumnModel();
        $data_provider = new StudentSubmissionsBrowserOwnGroupsTableDataProvider($browser, $search_condition, $table_conditions);
        $cell_renderer = new StudentSubmissionsBrowserOwnGroupsTableCellRenderer($browser);
        parent :: __construct($data_provider, self :: DEFAULT_NAME, $model, $cell_renderer);
    }
}

?>
