<?php
namespace application\weblcms\tool\description;

use common\libraries\DelegateComponent;

use application\weblcms\Tool;
use application\weblcms\ToolComponent;

use common\extensions\repo_viewer\RepoViewer;

use common\libraries\Breadcrumb;
use common\libraries\BreadcrumbTrail;
use common\libraries\Translation;
use common\libraries\Path;

/**
 * $Id: description_publisher.class.php 216 2009-11-13 14:08:06Z kariboe $
 *
 * @package application.lib.weblcms.tool.description.component
 */

class DescriptionToolPublisherComponent extends DescriptionTool implements DelegateComponent
{

    function run()
    {
        ToolComponent :: launch($this);
    }

    function get_additional_parameters()
    {
        return array(RepoViewer :: PARAM_ID, RepoViewer :: PARAM_ACTION);
    }
}
?>