<?php
namespace application\weblcms\tool\user;

use application\weblcms\WeblcmsManager;
use application\weblcms\Tool;
use common\libraries\Utilities;
use common\libraries\Request;
use common\libraries\ObjectTable;
use common\libraries\Translation;
use common\libraries\ObjectTableFormActions;
use common\libraries\ObjectTableFormAction;
use common\libraries\NewObjectTable;
use common\libraries\NewObjectTableFormActionsSupport;

/**
 * * ***************************************************************************
 * Table to display a list of all users in a course, whether or not directly or
 * through (sub-)groups.
 *
 * @author Stijn Van Hoecke
 *        
 *         ****************************************************************************
 */
class AllSubscribedUserBrowserTable extends NewObjectTable
{
    // **************************************************************************
    // GENERAL CONSTANTS
    // **************************************************************************
    const DEFAULT_NAME = 'all_subscribed_user_browser_table';
    const DEFAULT_ROW_COUNT = 20;
}
?>
