<?php
namespace application\weblcms\tool\user;

use application\weblcms\Tool;
use application\weblcms\WeblcmsDataManager;
use common\libraries\EqualityCondition;
use common\libraries\AndCondition;
use application\weblcms\course\CourseGroupRelation;

class UserToolStatusChangerPlatformgroupTeacherComponent extends UserToolStatusChangerComponent
{
    const STATUS = 1; // 1 = teacher, 5 = student
    
    function get_relation()
    {
        $conditions = array();
        $conditions[] = new EqualityCondition(CourseGroupRelation :: PROPERTY_COURSE_ID, $this->get_course_id(), CourseGroupRelation :: get_table_name());
        $conditions[] = new EqualityCondition(CourseGroupRelation :: PROPERTY_GROUP_ID, $this->object, CourseGroupRelation :: get_table_name());
        $condition = new AndCondition($conditions);
        return WeblcmsDataManager :: get_instance()->retrieve_course_group_relations($condition)->next_result();
    }

    function get_status()
    {
        return self :: STATUS;
    }
}
?>