<?php

use common\libraries\Session;
use common\libraries\PlatformSetting;
use common\libraries\Request;
use user\UserDataManager;
use user\User;
use user\VisitTracker;
use tracking\Event;
use admin\AdminManager;
use user\UserManager;

require_once dirname(__FILE__) . '/global.inc.php';

$user = Session :: get_user_id();
if ($user)
{
    if (Request :: get('application') != 'user' || Request :: get('go') != 'login')
    {
        Session :: unregister('request_uri');
    }
    
    Event :: trigger('online', AdminManager :: APPLICATION_NAME, array('user' => $user));
    if (strpos($_SERVER['REQUEST_URI'], 'leave.php') === false && strpos($_SERVER['REQUEST_URI'], 'ajax') === false)
    {
        $return = Event :: trigger('enter', UserManager :: APPLICATION_NAME, array(
                VisitTracker :: PROPERTY_LOCATION => $_SERVER['REQUEST_URI'], VisitTracker :: PROPERTY_USER_ID => $user));
    
    //        $htmlHeadXtra[] = '<script type="text/javascript">var tracker=' . $s = $return[0]->get_id() . ';</script>';
    }
}
?>
