<?php
namespace common\extensions\external_repository_manager;

use common\libraries\GalleryObjectTableProperty;
use common\libraries\NewGalleryObjectTablePropertyModel;

abstract class DefaultExternalObjectGalleryObjectTablePropertyModel extends NewGalleryObjectTablePropertyModel
{

    /**
     *
     * @see common\libraries.NewGalleryObjectTablePropertyModel::initialize_properties()
     */
    function initialize_properties()
    {
        $connector = $this->get_component()->get_external_repository_browser()->get_parent()->get_external_repository_manager_connector();
        
        foreach ($connector :: get_sort_properties() as $property)
        {
            $this->add_property(new GalleryObjectTableProperty($property));
        }
    
    }

}
?>