<?php
namespace common\extensions\repo_viewer;

use repository\RepositoryDataManager;
use common\libraries\DataClassRetrievesParameters;
use common\libraries\NewObjectTableDataProvider;

class ImportTableDataProvider extends NewObjectTableDataProvider
{

    function get_objects($offset, $count, $order_property = null)
    {
        return RepositoryDataManager :: get_instance()->retrieve_content_objects($this->get_condition(),
                $this->get_order_property($order_property), $offset, $count);
    }

    function get_object_count()
    {
        return RepositoryDataManager :: get_instance()->count_content_objects($this->get_condition());
    }
}
?>