<?php
namespace common\extensions\reporting_viewer;

use common\libraries\DelegateComponent;

use reporting\ReportingTemplate;

class ReportingViewerViewerComponent extends ReportingViewer implements DelegateComponent
{

    function run()
    {
        $template_registration = $this->get_template();
        $template = ReportingTemplate :: factory($template_registration, $this);

        $this->display_header();
        echo ($template->to_html());
        $this->display_footer();
    }
}
?>
