<?php
namespace common\libraries\form;
/*
 * Class to create a hyperlink
 */

class Link extends Element
{
    const TEMPLATE = '<a href="{LINK}">{NAME}</a>';

    /*
     * Constructor for the Text class
     */
    public function __construct($name, $link, $label)
    {
        // call constructor of Element class
        parent :: __construct($name, $link);
    }

    /*
     * Returns the HTML of the created textfield
     */
    public function html()
    {
        $parameters = array();
        $parameters['LINK'] = $this->get_value();
        $parameters['NAME'] = $this->get_name();
        return Renderer :: process(self :: TEMPLATE, $parameters);
    }
}
?>