<?php
namespace common\libraries\form;
/*
 * Class to render the elements that were added to the form
 */

use common\libraries\Theme;

class DefaultElementRenderer extends DefaultRenderer
{

//     /*
//      * Render every element in the element_storage For every element call the corresponding function to generate XHTML
//      */
//     public function norender()
//     {
//         $html = array();
//         $html[] = sprintf('<script src="http://localhost/chamilo-2.0-beta/plugin/FormLibrary/Includes/jquery/javascripts/jquery.validate.js" type="text/javascript">
//         </script>
//         <script src="http://localhost/chamilo-2.0-beta/plugin/FormLibrary/Includes/jquery/javascripts/jquery.validation.functions.js" type="text/javascript">
//         </script>
//         <script type="text/javascript">
//             jQuery(function(){');
//         $storage = $this->form->get_element_storage();

//         foreach ($storage->get_elements() as $value)
//         {
//             if ($value instanceof Container)
//             {
//                 foreach ($value->get_elements() as $subelement)
//                 {
//                     $html[] = $subelement->get_rule_storage()->get_javascript();
//                 }
//             }
//             else
//             {
//                 $html[] = $value->get_rule_storage()->get_javascript();
//             }
//         }

//         $html[] = sprintf('}); </script>');
//         $html[] = sprintf(' <form name="%s" method="%s" action="%s" class="%s" enctype="multipart/form-data">', $this->form->get_name(), $this->form->get_method(), $this->form->get_action(), $this->form->get_name());

//         $req = false;
//         $arr = $storage->get_elements();

//         for($i = 0; $i < count($arr); $i ++)
//         {
//             $html[] = '<div class="row">';
//             $html[] = '<div class="label">';
//             $temp = $arr[$i]->get_label();

//             if ($arr[$i] instanceof Container || $arr[$i] instanceof Grouping || $arr[$i] instanceof Fieldset)
//             {
//                 foreach ($arr[$i]->get_elements() as $subelement)
//                 {
//                     $rule_storage = $subelement->get_rule_storage();

//                     foreach ($rule_storage->get_rules() as $rule)
//                     {
//                         if ($rule instanceof Required)
//                         {
//                             $req = true;
//                         }
//                     }
//                 }
//             }

//             $rule_storage = $arr[$i]->get_rule_storage();

//             foreach ($rule_storage->get_rules() as $rule)
//             {
//                 if ($rule instanceof Required)
//                 {
//                     $req = true;
//                     $temp .= '<!-- BEGIN required --><span class="form_required"><img src="' . Theme :: get_common_image_path() . 'action_required.png" alt="*" title ="*"/></span> <!-- END required -->';
//                 }
//             }

//             $html[] = $temp;
//             $html[] = '</div>';
//             $html[] = '<div class="formw">';
//             $html[] = '<div class="element">';
//             $html[] = $arr[$i]->render();
//             $html[] = '<br/><!-- BEGIN error --><span class="form_error">' . $arr[$i]->get_errors() . '</span><!-- END error --></div>';
//             $html[] = '<div class="form_feedback"></div></div>';
//             $html[] = '<div class="clear">&nbsp;</div>';
//             $html[] = '</div>';
//         }

//         if ($req)
//         {
//             $html[] = '<div class="row">';
//             $html[] = '<div class="label">';
//             $html[] = '</div>';
//             $html[] = '<div class="formw">';
//             $html[] = '<span class="form_required"><img src="' . Theme :: get_common_image_path() . 'action_required.png" alt="*" title ="*"/>required field</span>';
//             $html[] = '</div>';
//             $html[] = '</div>';
//         }

//         $html[] = sprintf('</form>');

//         return implode("\n", $html);
//     }

    function get_default_template()
    {
        $html = array();

        $html[] = '<div class="row">';
        $html[] = '    <div class="label">';
        $html[] = '        {LABEL}{REQUIRED}';
        $html[] = '    </div>';
        $html[] = '    <div class="formw">';
        $html[] = '        <div class="element">';
        $html[] = '            {ELEMENT}';
        $html[] = '            <span class="form_error">{ERROR}</span>';
        $html[] = '        </div>';
        $html[] = '        <div class="form_feedback"></div>';
        $html[] = '    </div>';
        $html[] = '    <div class="clear">&nbsp;</div>';
        $html[] = '</div>';

        return implode("\n", $html);
    }

    function get_parameters()
    {
        $parameters = array();

        $parameters['LABEL'] = $this->get_element()->get_label();

        if ($this->get_element()->is_required())
        {
            $parameters['REQUIRED'] = '<span class="form_required"><img src="' . Theme :: get_common_image_path() . 'action_required.png" alt="*" title ="*"/></span>';
        }

        $parameters['ELEMENT'] = $this->get_element()->html();
        $parameters['ERROR'] = $this->get_element()->get_errors();

        return $parameters;
    }

}
?>