<?php
namespace common\libraries\form;

/*
 * Abstract class Rule, every specified rule inherits from this one
 */
abstract class Rule
{
    protected $message; // string: contains the error message
    protected $script;
    
    /*
     * Constructor for a rule It gets the error message as a parameter
     */
    public function __construct($message)
    {
        $this->message = $message;
    }
    
    /*
     * This fucntion returns the error message
     */
    public function get_message()
    {
        return $this->message;
    }

    public function get_script()
    {
        return $this->script;
    }
}
?>