<?php
namespace common\libraries\form;
/*
 * Class to have the rule that at least one checkbox has to be checked
 */
class Vcheckbox extends Rule
{

    public function __construct($field)
    {
        parent :: __construct('This field is required');
        $this->script .= 'jQuery("#' . $field->get_name() . '").validate({
                    expression: "if (isChecked(SelfID)) return true; else return false;",
                    message: "Please check atleast one checkbox"
                });';
    }

    public function control($value)
    {
        $trim = trim($value);
        return (bool) ! empty($trim);
    }
}
?>