<?php
namespace common\libraries;

use common\extensions\repo_viewer\RepoViewer;
use repository\content_object\handbook_item\HandbookItem;

class HtmlEditorHandbookItemRepoViewer extends HtmlEditorRepoViewer
{

    function __construct($parent, $types, $maximum_select = RepoViewer :: SELECT_MULTIPLE, $excluded_objects = array(), $parse_input = true)
    {
        var_dump('HtmlEditorHandbookItemRepoViewer');
        var_dump($types);
        var_dump($parent);
        parent :: __construct($parent, $types, $maximum_select, $excluded_objects, $parse_input);
    }

    function get_application_component_path()
    {
        return dirname(__FILE__) . '/component/';
    }

    static function get_allowed_content_object_types()
    {
        // FIXME this is a cyclic dependency to content_object/handbook_item
        //return array(HandbookItem :: get_type_name());
        return array('handbook_item');
    }
}
?>