<?php

namespace common\libraries;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 * @author Pieterjan Broekaert
 */
interface GenericTreeInterface
{

    function get_node_url($node_id);

    function get_current_node_id();

    function get_node($node_id);

    function node_has_children($node_id);

    function get_node_children($node_id);

    function get_search_url();

    function get_url_format();

    function get_root_node_class();

    function get_node_class($node);

    function get_root_node_title();

    function get_node_title($node);

    function get_node_id($node);

    function get_node_parent($node);
}

?>
