<?php
namespace common\libraries;

use Exception;

/**
 * The optional parameters for a DataClass storage layer COUNT DISTINCT action
 *
 * @author Hans De Bisschop
 * @package common.libraries
 */
class DataClassCountDistinctParameters extends DataClassPropertyParameters
{

    /**
     * Throw an exception if the DataClassPropertyParameters object is invalid
     *
     * @throws \Exception
     */
    static function invalid()
    {
        throw new Exception('Illegal parameter(s) passed to the DataManager :: count_distinct() method.');
    }

}
?>