<?php
namespace common\libraries;

/**
 * Translation of ConditionVariables in the context of an MDB2-based storage layer
 *
 * @package common.libraries
 * @author Hans De Bisschop
 */
class DoctrinePropertyConditionVariableTranslator extends DoctrineConditionVariableTranslator
{

    function translate()
    {
        $class = $this->get_condition_variable()->get_class();
        $alias = StorageAliasGenerator :: get_instance()->get_data_class_alias($class);

        return $this->get_condition_translator()->get_data_manager()->escape_column_name($this->get_condition_variable()->get_property(), $alias);
    }
}
?>