<?php
namespace common\libraries;

use Exception;

/**
 *
 * @package common.libraries.storage.mdb2
 * @author Hans De Bisschop
 */

class Mdb2AggregateConditionTranslator extends NewConditionTranslator
{

    function translate()
    {
        $string = '';

        $condition_translations = array();
        $count = 0;

        foreach ($this->get_condition()->get_conditions() as $key => $condition)
        {
            $count ++;
            $translation = NewConditionTranslator :: render($this->get_data_manager(), $condition);

            if (! empty($translation))
            {
                $condition_translations[] = $translation;
            }
        }

        if (count($condition_translations) > 0)
        {
            $string = '(' . implode($this->get_condition()->get_operator(), $condition_translations) . ')';
        }

        return $string;
    }
}
?>