<?php
namespace common\libraries;

/**
 *
 * @package common.libraries
 * @author Hans De Bisschop
 */
class Mdb2EqualityConditionTranslator extends NewConditionTranslator
{

    function translate()
    {
        $value = $this->get_condition()->get_value();

        if (is_null($value))
        {
            return ConditionVariableTranslator :: render($this, $this->get_condition()->get_name()) . ' IS NULL';
        }

        return ConditionVariableTranslator :: render($this, $this->get_condition()->get_name()) . ' = ' . $this->get_data_manager()->quote($value);
    }
}
?>