<?php
namespace common\libraries;

/**
 *
 * @package common.libraries.storage.mdb2
 * @author Hans De Bisschop
 */
class Mdb2InequalityConditionTranslator extends NewConditionTranslator
{

    function translate()
    {
        $value = $this->get_condition()->get_value();

        switch ($this->get_condition()->get_operator())
        {
            case InequalityCondition :: GREATER_THAN :
                $operator = '>';
                break;
            case InequalityCondition :: GREATER_THAN_OR_EQUAL :
                $operator = '>=';
                break;
            case InequalityCondition :: LESS_THAN :
                $operator = '<';
                break;
            case InequalityCondition :: LESS_THAN_OR_EQUAL :
                $operator = '<=';
                break;
            default :
                die('Unknown operator for inequality condition');
        }

        return ConditionVariableTranslator :: render($this, $this->get_condition()->get_name()) . ' ' . $operator . ' ' . $this->get_data_manager()->quote($value);
    }

}
?>