<?php
namespace core\lynx\package;

/**
 *
 * @author Hans De Bisschop
 * @package core.lynx
 */
class Authors
{

    /**
     *
     * @var multitype:\core\lynx\Author
     */
    private $authors;

    /**
     *
     * @param \core\lynx\Author $authors
     */
    function __construct($authors)
    {
        $this->set_authors($authors);
    }

    /**
     *
     * @return multitype:\core\lynx\Author
     */
    public function get_authors()
    {
        return $this->authors;
    }

    /**
     *
     * @param multitype:\core\lynx\Author $authors
     */
    public function set_authors($authors)
    {
        $this->authors = $authors;
    }

    /**
     *
     * @param \core\lynx\Author $author
     */
    public function add_author($author)
    {
        $this->authors[] = $author;
    }
}
?>