<?php
namespace group;
use common\libraries\StaticTableColumn;
use common\libraries\Path;
use common\libraries\ObjectTableColumn;
use user\User;

use user\DefaultUserTableColumnModel;
/**
 * $Id: subscribe_user_browser_table_column_model.class.php 224 2009-11-13 14:40:30Z kariboe $
 * @package groups.lib.group_manager.component.subscribe_user_browser
 */
/**
 * Table column model for the user browser table
 */
class SubscribeUserBrowserTableColumnModel extends DefaultUserTableColumnModel
{

    const DEFAULT_ORDER_COLUMN_INDEX = 1;

    function initialize_columns()
    {
        $this->add_column(new ObjectTableColumn(User :: PROPERTY_LASTNAME));
        $this->add_column(new ObjectTableColumn(User :: PROPERTY_FIRSTNAME));
        $this->add_column(new ObjectTableColumn(User :: PROPERTY_USERNAME));
        $this->add_column(new ObjectTableColumn(User :: PROPERTY_EMAIL));
        $this->add_column(new ObjectTableColumn(User :: PROPERTY_STATUS));
        $this->add_column(new ObjectTableColumn(User :: PROPERTY_PLATFORMADMIN));
    }
}
?>