<?php
use common\libraries\Utilities;
use common\libraries\Application;
use common\libraries\Path;
use common\libraries\Translation;
use common\libraries\Request;
use common\libraries\Display;

/**
 * $Id: index.php 225 2009-11-13 14:43:20Z vanpouckesven $
 *
 * @package install.lib
 */
function dump($variable)
{
    echo '<pre style="background-color: white; color: black; padding: 5px; margin: 0px;">';
    print_r($variable);
    echo '</pre>';
}

try
{

session_start();

$cidReset = true;
$this_section = 'install';

require_once dirname(__FILE__) . '/../common/libraries/php/shared/filesystem/path.class.php';
require_once dirname(__FILE__) . '/../common/libraries/php/shared/utilities.class.php';
ini_set('include_path', realpath(Path :: get_plugin_path() . 'pear'));

set_exception_handler('\common\libraries\Utilities::handle_exception');
set_error_handler('\common\libraries\Utilities::handle_error');

ini_set("memory_limit", "-1");
ini_set("max_execution_time", "7200");
error_reporting(E_ALL & ~ E_NOTICE & ~ E_DEPRECATED & ~ E_WARNING);

Utilities :: register_autoload();

Request :: set_get('install_running', 1);

Translation :: set_application($this_section);
Translation :: set_language('en');

Application :: launch('install', null);

}catch(\Exception $e)
{
    echo(str_replace("\n", "<br />", $e->getTraceAsString()));
}

?>
