<?php
namespace menu;

/**
 * @author Hans De Bisschop
 */
use common\libraries\Translation;

use common\libraries\BasicApplication;

use common\libraries\WebApplication;

use common\libraries\Header;

class MiniBarItemRenderer extends ItemRenderer
{

    function render()
    {
        $html = array();
        
        if ($this->get_item()->get_parent() == 0)
        {
            $html[] = '<ul>';
            $selected = $this->get_item()->is_selected();
        }
        
        $item_url = $this->get_item_url();
        $html[] = '<li' . ($selected ? ' class="current"' : '') . '>';
        $html[] = $item_url;
        
        $html[] = '</li>';
        
        if ($this->get_item()->get_parent() == 0)
        {
            $html[] = '</ul>';
        }
        
        return implode("\n", $html);
    }
}

?>
