<?php
namespace menu;

use admin\AdminDataManager;
use common\libraries\ArrayResultSet;
use common\libraries\Utilities;
use common\libraries\WebApplication;
use common\libraries\Translation;
use common\libraries\package\Installer;
use XML_Unserializer;
use PEAR;

/**
 * $Id: menu_installer.class.php 223 2009-11-13 14:39:28Z vanpouckesven $
 *
 * @package menu.install
 */
/**
 * This installer can be used to create the storage structure for the menu application.
 */
class MenuInstaller extends Installer
{

    private $values;

    /**
     * Constructor
     */
    function __construct($values)
    {
        $this->values = $values;
        parent :: __construct($values, MenuDataManager :: get_instance());
    }
}
?>