<?php
namespace metadata;

use common\libraries\Path;
use common\libraries\AndCondition;
use common\libraries\EqualityCondition;
use common\libraries\Request;

require_once dirname(__FILE__) . '/../../../common/global.inc.php';

$condition1 = new EqualityCondition(MetadataDefaultValue :: PROPERTY_ELEMENT_ID, Request :: post('element_id'));
$condition2 = new EqualityCondition(MetadataDefaultValue :: PROPERTY_ATTRIBUTE_ID);
$condition = new AndCondition($condition1, $condition2);

$default_values = MetadataDataManager :: get_instance()->retrieve_metadata_default_values($condition);
$i = 0;
$defaults = array();
while ($default_value = $default_values->next_result())
{
    $defaults[] = $default_value->get_value();
    $i ++;
}
echo json_encode($defaults);
?>
