<?php
namespace migration;

require_once dirname(__FILE__) . '/../data_class/dokeos185_settings_current.class.php';
require_once dirname(__FILE__) . '/../data_class/dokeos185_sys_announcement.class.php';

/**
 * Class to start the migration of the settings and system announcements
 * @author vanpouckesven
 *
 */
class SettingsMigrationBlock extends MigrationBlock
{
	const MIGRATION_BLOCK_NAME = 'settings';
	
	function get_prerequisites()
	{
		return array(UsersMigrationBlock :: MIGRATION_BLOCK_NAME);
	}
	
	function get_data_classes()
	{
		return array(new Dokeos185SettingsCurrent(), new Dokeos185SysAnnouncement());
	}
	
	function get_block_name()
	{
		return self :: MIGRATION_BLOCK_NAME;
	}
}

?>