<?php
namespace repository\content_object\assessment;

use common\libraries\Translation;
use common\libraries\Path;
use repository\ComplexBrowserTableCellRenderer;

/**
 * $Id: assessment_browser_table_cell_renderer.class.php 200 2009-11-13 12:30:04Z kariboe $
 * @package repository.lib.complex_builder.assessment.component.browser
 */
/**
 * Cell rendere for the learning object browser table
 */
class AssessmentBrowserTableCellRenderer extends ComplexBrowserTableCellRenderer
{

    /**
     * Constructor
     * @param RepositoryManagerBrowserComponent $browser
     */
    function __construct($browser, $condition)
    {
        parent :: __construct($browser, $condition);
    }

    // Inherited
    function render_cell($column, $cloi)
    {
        $return = parent :: render_cell($column, $cloi);
        if ($return != '')
            return $return;
        
        switch ($column->get_name())
        {
            case 'weight' :
                return $cloi->get_weight();
        }
        
        return '';
    }
}
?>