<?php
namespace repository\content_object\document;

use common\libraries\Path;
use repository\RepositoryManager;

class HtmlInlinePdfRenditionImplementation extends HtmlInlineRenditionImplementation
{

    function render($parameters)
    {
        $object = $this->get_content_object();
        $url = Path :: get(WEB_PATH) . RepositoryManager :: get_document_downloader_url($object->get_id()) . '&display=1';

        $html = array();

        $html[] = '<iframe border="0" style="border: 1px solid grey;"
                width="100%" height="500"  src="' . $url . '&display=1"></iframe></div>';

        return implode("\n", $html);
    }
}
?>