<?php
namespace repository\content_object\document;

use common\libraries\Utilities;

use repository\ContentObjectRendition;
use repository\RepositoryManager;

class HtmlShortRenditionImplementation extends HtmlRenditionImplementation
{

    function render()
    {
        $object = $this->get_content_object();
        $url = RepositoryManager :: get_document_downloader_url($object->get_id());
        
        return '<span class="content_object"><a href="' . Utilities :: htmlentities($url) . '">' . Utilities :: htmlentities($object->get_title()) . '</a></span>';
    }
}
?>