<?php
namespace repository\content_object\forum_topic;

use repository\ContentObjectExport;
use repository\ContentObjectExportImplementation;

/**
 * Class used to define an extra type of export.
 *
 * @author Maarten Volckaert - Hogeschool Gent
 */
class ExportImplementation extends ContentObjectExportImplementation
{
    /**
     * Method returns the allowed types of exporting.
     * @return Array
     */
    static function get_types()
    {
         return parent :: get_types(array(ContentObjectExport :: FORMAT_HTML));
    }
}
?>
