<?php
namespace repository\content_object\glossary;

use repository\ComplexDisplayPreview;
use repository\ComplexDisplay;

class GlossaryComplexDisplayPreview extends ComplexDisplayPreview implements GlossaryComplexDisplaySupport
{

    function run()
    {
        ComplexDisplay :: launch(Glossary :: get_type_name(), $this);
    }

    /**
     * Preview mode, so always return true.
     *
     * @param $right
     * @return boolean
     */
    function is_allowed($right)
    {
        return true;
    }

        // FUNCTIONS FOR COMPLEX DISPLAY SUPPORT
     public function is_allowed_to_edit_content_object()
    {
       return true;
    }

    public function is_allowed_to_view_content_object()
    {
        return true;
    }

    function is_allowed_to_add_child()
    {
        return true;
    }
    function is_allowed_to_delete_child()
    {
        return true;
    }
    function is_allowed_to_delete_feedback()
    {
        return true;
    }
    function is_allowed_to_edit_feedback()
    {
        return true;
    }
}
?>