<?php
namespace repository\content_object\learning_path;

use common\libraries\Request;
use common\libraries\Display;
use repository\RepositoryDataManager;
use repository\ContentObjectRenditionImplementation;
use repository\ContentObjectRendition;

class LearningPathDisplayEmbedderContentObjectComponent extends LearningPathDisplayEmbedder
{

    function run()
    {
        $content_object_id = Request :: get(LearningPathContentObjectDisplay :: PARAM_EMBEDDED_CONTENT_OBJECT_ID);
        $content_object = RepositoryDataManager :: get_instance()->retrieve_content_object($content_object_id);
        
        Display :: small_header();
        echo ContentObjectRenditionImplementation :: launch($content_object, ContentObjectRendition :: FORMAT_HTML, ContentObjectRendition :: VIEW_FULL, $this);
        
        Display :: small_footer();
    }
}
?>