<?php
namespace repository\content_object\mediamosa;

use repository\ContentObjectRendition;

use common\libraries\Translation;
use common\libraries\Path;
use common\libraries\ImageManipulation;

class HtmlThumbnailRenditionImplementation extends HtmlRenditionImplementation
{

    function render()
    {
        $this->set_mediamosa_object();
        $object = $this->get_content_object();
        
        if ($this->get_mediamosa_object())
        {
            return '<img src="' . $this->get_mediamosa_object()->get_thumbnail() . '" title="' . $object->get_title() . '" class="thumbnail" />';
        }
        else
        {
            return Translation :: get('ConnectionLost');
        }
    }
}
?>