<?php
namespace repository\content_object\rss_feed;

use common\libraries\Path;
use repository\ContentObjectRenditionImplementation;
use LastRss;

class RenditionImplementation extends ContentObjectRenditionImplementation
{

    static function parse_file($url)
    {
        $rss = new LastRss($url);
        // TODO: Make items limit configurable.
        $rss->set_items_limit(5);
        $rss->set_cache_dir(Path :: get(SYS_TEMP_PATH));
        $rss->set_cache_time(300);
        
        if ($rs = $rss->get_feed_content())
        {
            return $rs;
        }
        else
        {
            return false;
        }
    }
}
?>