<?php
namespace repository\content_object\wiki;

use common\libraries\ObjectTableDataProvider;
use repository\RepositoryDataManager;

/**
 * $Id: wiki_page_table_data_provider.class.php 200 2009-11-13 12:30:04Z kariboe $
 * @package repository.lib.complex_display.wiki.component.wiki_page_table
 */
class WikiPageTableDataProvider extends ObjectTableDataProvider
{

    /**
     * Constructor.
     */
    function __construct($browser, $condition)
    {
        parent :: __construct($browser, $condition);
    }

    /*
	 * Inherited
	 */
    function get_objects($offset, $count, $order_property = null)
    {
        $order_property = $this->get_order_property($order_property);
        return RepositoryDataManager :: get_instance()->retrieve_complex_content_object_items($this->get_condition(), $order_property, $offset, $count);
    }

    /*
	 * Inherited
	 */
    function get_object_count()
    {
        return RepositoryDataManager :: get_instance()->count_complex_content_object_items($this->get_condition());
    }
}
?>