<?php
namespace repository;

/**
 *
 * @package repository.lib
 *         
 * A class to render a ContentObject.
 */
class DummyContentObjectRenditionImplementation extends AbstractContentObjectRenditionImplementation
{
    
    private $format;
    private $view;

    function __construct($context, ContentObject $content_object, $format, $view)
    {
        parent :: __construct($context, $content_object);
        $this->format = $format;
        $this->view = $view;
    }

    function render()
    {
        return ContentObjectRendition :: launch($this);
    }

    function get_view()
    {
        return $this->view;
    }

    function get_format()
    {
        return $this->format;
    }
}
?>