<?php
namespace repository;

use common\libraries\ObjectTable;
/**
 * $Id: doubles_browser_table.class.php 204 2009-11-13 12:51:30Z kariboe $
 * @package repository.lib.repository_manager.component.browser.doubles_browser
 */
 
class DoublesBrowserTable extends RepositoryBrowserTable
{
    const DEFAULT_NAME = 'doubles_browser_table';

    /**
     * Constructor
     * @see ContentObjectTable::ContentObjectTable()
     */
    function __construct($browser, $parameters, $condition, $is_detail = false)
    {
        $model = new DoublesBrowserTableColumnModel($is_detail);
        $renderer = new DoublesBrowserTableCellRenderer($browser, $is_detail);
        $data_provider = new DoublesBrowserTableDataProvider($browser, $condition, $is_detail);
        ObjectTable :: __construct($data_provider, DoublesBrowserTable :: DEFAULT_NAME, $model, $renderer);
        
        $actions = array();
        $this->set_form_actions($actions);
        
        $this->set_additional_parameters($parameters);
        $this->set_default_row_count(20);
    }
}
?>