<?php
namespace repository;

use common\libraries\Application;
use metadata\MetadataManager;
use common\libraries\Request;
/**
 * $Id: metadata_editor_creator.class.php 204 2009-11-13 12:51:30Z kariboe $
 * @package repository.lib.repository_manager.component
 *
 * Enables to set a metadata element for (multiple) content objects
 */

class RepositoryManagerMetadataEditorComponent extends RepositoryManager
{

    function run()
    {
        //redirect to component in metadata app.
        $params[Application :: PARAM_APPLICATION] = MetadataManager :: APPLICATION_NAME;
        $params[MetadataManager :: PARAM_ACTION] = MetadataManager :: ACTION_QUICK_EDIT_METADATA;
        $params[MetadataManager :: PARAM_CONTENT_OBJECT] = Request :: get(RepositoryManager :: PARAM_CONTENT_OBJECT_ID);
        
        $this->redirect('', false, $params);
    }
}

?>
