<?php
namespace repository;

use HTML_QuickForm_Controller;
/**
 * $Id: publisher_wizard.class.php 204 2009-11-13 12:51:30Z kariboe $
 * @package repository.lib.repository_manager.component.publication_wizard
 */

/**
 *
 */
class PublisherWizard extends HTML_QuickForm_Controller
{
    /**
     * The repository tool in which this wizard runs.
     */
    private $parent;

    /**
     * */
    function __construct($parent)
    {
        global $language_interface;
        $this->parent = $parent;
        parent :: __construct('PublisherWizard', true);
        $this->addPage(new LocationSelectionPublisherWizardPage('page_locations', $this->parent));
        
        $this->addAction('process', new PublisherWizardProcess($this->parent));
        $this->addAction('display', new PublisherWizardDisplay($this->parent));
    }
}
?>