<?php

namespace repository;

use common\libraries\Translation;
use common\libraries\EqualityCondition;
use common\libraries\GetObjectWebserviceHandler;

class CategoryGetWebserviceHandler extends GetObjectWebserviceHandler
{

    public function get_object()
    {
        return RepositoryDataManager :: get_instance()->retrieve_categories(new EqualityCondition(RepositoryCategory :: PROPERTY_ID, $this->get_id()))->next_result();
    }

    public function get_object_translation()
    {
        return Translation :: get('Category');
    }

    public function is_allowed_to_retrieve_object($object)
    {
        $user = $this->get_user();
        return ($object->get_user_id() == $user->get_id());
    }

}

?>
