<?php

namespace repository;

use common\libraries\Translation;
use common\libraries\GetObjectWebserviceHandler;

class ComplexContentObjectItemGetWebserviceHandler extends GetObjectWebserviceHandler
{

    public function get_object()
    {
        return RepositoryDataManager :: get_instance()->retrieve_complex_content_object_item($this->get_id());
    }

    public function get_object_translation()
    {
        return Translation :: get('ComplexContentObject');
    }

    public function is_allowed_to_retrieve_object($object)
    {
        $user = $this->get_user();
        return ($object->get_user_id() == $user->get_id());
    }

}

?>
