<?php
namespace repository\quota\rights;

use common\libraries\Translation;

class Installer extends \common\libraries\package\Installer
{

    /**
     * Constructor
     */
    function __construct($values)
    {
        parent :: __construct($values, DataManager :: get_instance());
    }

    function install_extra()
    {
        if (! Rights :: get_instance()->create_quota_root())
        {
            return false;
        }
        else
        {
            $this->add_message(self :: TYPE_NORMAL, Translation :: get('QuotaLocationCreated'));
        }
        
        return true;
    }
}
?>