<?php
namespace user;

use common\libraries\ObjectTableColumn;
use common\libraries\StaticTableColumn;

/**
 * Table column model for the user browser table
 */
class AdminUserBrowserTableColumnModel extends DefaultUserTableColumnModel
{

    /**
     * Constructor
     */
    public function initialize_columns()
    {
        parent :: initialize_columns();
        $this->add_column(new ObjectTableColumn(User :: PROPERTY_USERNAME));
        $this->add_column(new ObjectTableColumn(User :: PROPERTY_EMAIL));
        $this->add_column(new ObjectTableColumn(User :: PROPERTY_STATUS));
        $this->add_column(new ObjectTableColumn(User :: PROPERTY_PLATFORMADMIN));
        $this->add_column(new ObjectTableColumn(User :: PROPERTY_ACTIVE));
    }
}
?>