<?php

namespace user;

use tracking\Event;
use common\libraries\Redirect;

/**
 * @package user.lib.user_manager.component
 * @author Sven Vanpoucke
 */
class UserManagerLogoutComponent extends UserManager
{

    /**
     * Runs this component and displays its output.
     */
    function run()
    {
        $udm = UserDataManager :: logout();
        Event :: trigger('logout', 'user', array('server' => $_SERVER, 'user' => $this->get_user()));
        
        $this->redirect(null, false, array(), array(), false, Redirect :: TYPE_LINK, Redirect :: TYPE_INDEX);
    }

}

?>
