<?php

namespace user;

use common\libraries\Translation;
use common\libraries\CreateObjectWebserviceHandler;

class UserCreateWebserviceHandler extends CreateObjectWebserviceHandler
{

    function get_object()
    {
        return new User();
    }

    function get_object_translation()
    {
        return Translation :: get('User');
    }

    function manipulate_data($object, $extra_properties = null)
    {
        $object->set_creator_id($this->get_user_id());
        return $object;
    }
}

?>
