<?php
namespace admin;

use common\libraries\Theme;
use common\libraries\Utilities;
use common\libraries\Breadcrumb;
use common\libraries\ToolbarItem;
use common\libraries\Toolbar;
use common\libraries\Translation;
use common\libraries\Request;
use common\libraries\AdministrationComponent;
/**
 * $Id: system_announcement_viewer.class.php 168 2009-11-12 11:53:23Z vanpouckesven $
 * 
 * @package admin.lib.admin_manager.component
 */

class AdminManagerSystemAnnouncementViewerAdminComponent extends AdminManagerSystemAnnouncementViewerComponent implements 
        AdministrationComponent
{

    function add_additional_breadcrumbs(BreadcrumbTrail $breadcrumbtrail)
    {
        $breadcrumbtrail->add(new Breadcrumb($this->get_url(array(
                AdminManager :: PARAM_ACTION => AdminManager :: ACTION_BROWSE_SYSTEM_ANNOUNCEMENTS)), Translation :: get('AdminManagerSystemAnnouncementBrowserComponent')));
        $breadcrumbtrail->add_help('admin_system_announcements_viewer');
    }
}
?>