<?php
namespace admin;
use common\libraries\StaticTableColumn;

use common\libraries\Path;
use user\DefaultUserTableColumnModel;
use common\libraries\ObjectTableColumn;
use user\User;
/**
 * $Id: whois_online_table_column_model.class.php 166 2009-11-12 11:03:06Z vanpouckesven $
 * 
 * @package admin.lib.admin_manager.component.whois_online_table
 */
/**
 * Table column model for the user browser table
 */
class WhoisOnlineTableColumnModel extends DefaultUserTableColumnModel
{
    /**
     * The tables modification column
     */
    private static $modification_column;

    /**
     * Constructor
     */
    function __construct()
    {
        parent :: __construct();
        $this->add_column(new ObjectTableColumn(User :: PROPERTY_EMAIL));
        $this->add_column(new ObjectTableColumn(User :: PROPERTY_STATUS));
        $this->add_column(new ObjectTableColumn(User :: PROPERTY_PICTURE_URI));
        // $this->add_column(new ObjectTableColumn(User ::
        // PROPERTY_PLATFORMADMIN));
        $this->set_default_order_column(1);
    }

}
?>