<?php
namespace admin;
use common\libraries\Translation;
use common\libraries\Path;
use common\libraries\ObjectTable;
use common\libraries\ObjectTableFormAction;
use common\libraries\Utilities;
/**
 * $Id: extension_registration_browser_table.class.php 126 2009-11-09 13:11:05Z vanpouckesven $
 * 
 * @package admin.lib.package_manager.component.registration_browser
 */
/**
 * Table to display a set of learning objects.
 */
class ExtensionRegistrationBrowserTable extends ObjectTable
{
    const DEFAULT_NAME = 'extension_registration_browser_table';

    /**
     * Constructor
     * 
     * @see ContentObjectTable::ContentObjectTable()
     */
    function __construct($browser, $parameters, $condition)
    {
        $model = new ExtensionRegistrationBrowserTableColumnModel();
        $renderer = new ExtensionRegistrationBrowserTableCellRenderer($browser);
        $data_provider = new ExtensionRegistrationBrowserTableDataProvider($browser, $condition);
        parent :: __construct($data_provider, ExtensionRegistrationBrowserTable :: DEFAULT_NAME, $model, $renderer);
        $this->set_additional_parameters($parameters);
        $this->set_default_row_count(20);
    }
}
?>