<?php
namespace admin;
use common\libraries\Utilities;
use common\libraries\Translation;
use common\libraries\Request;

/**
 * Package Source extension where the source code is already in the correct place
 * 
 * @author Hans De Bisschop - Erasmus Hogeschool Brussel
 * @author Magali Gillard - Erasmus Hogeschool Brussel
 * @author Sven Vanpoucke - Hogeschool Gent - Cleanup, code refactoring and bugfixes, comments
 * @package admin.lib.package_source.source
 */

class PackageLocalSource extends PackageSource
{

    /**
     * Function to retrieve the attributes
     */
    function retrieve_attributes()
    {
        $package_info = new PackageInfo($this->get_parent()->get_package_type_and_name());
        return $package_info->get_package();
    }
}
?>