<?php

namespace application\personal_messenger;

use common\libraries\DataClass;

/** * ***************************************************************************
 * This class is an interface for all data classes in the personal messenger.
 * It provides some global methods for all dataclasses.
 *
 * @name Chamilo Personal Messenger > PersonalMessengerDataClass
 * @version 1.0.0
 * @author Stijn Van Hoecke
 * **************************************************************************** */
abstract class PersonalMessengerDataClass extends DataClass
{

    //**************************************************************************
    // GENERAL GETTERS
    //**************************************************************************
    function get_data_manager()
    {
        return PersonalMessengerDataManager :: get_instance();
    }

}

?>