<?php
namespace application\weblcms;

use common\libraries\ObjectTableColumn;
use common\libraries\ObjectTableColumnModel;
use application\weblcms\course\Course;

/**
 * $Id: default_course_table_column_model.class.php 216 2009-11-13 14:08:06Z
 * kariboe $
 * 
 * @package application.lib.weblcms.course.course_table
 */

class DefaultCourseTableColumnModel extends ObjectTableColumnModel
{

    /**
     * Constructor
     */
    function __construct()
    {
        parent :: __construct(self :: get_default_columns(), 1);
    }

    /**
     * Gets the default columns for this model
     * 
     * @return CourseTableColumn[]
     */
    private static function get_default_columns()
    {
        $columns = array();
        $columns[] = new ObjectTableColumn(Course :: PROPERTY_VISUAL_CODE);
        $columns[] = new ObjectTableColumn(Course :: PROPERTY_TITLE);
        return $columns;
    }
}
?>