<?php
namespace application\weblcms;

use common\libraries\ObjectTable;

/**
 * $Id: location_group_browser_table.class.php 191 2009-11-13 11:50:28Z chellee
 * $
 *
 * @package
 *          application.common.rights_editor_manager.component.location_course_group_bowser
 */
/**
 * Table to display a set of learning objects.
 */
class LocationCourseGroupBrowserTable extends ObjectTable
{
    const DEFAULT_NAME = 'location_course_group_browser_table';

    /**
     * Constructor
     *
     * @see ContentObjectTable::ContentObjectTable()
     */
    function __construct($browser, $parameters, $condition)
    {
        $model = new LocationCourseGroupBrowserTableColumnModel($browser);
        $renderer = new LocationCourseGroupBrowserTableCellRenderer($browser);
        $data_provider = new LocationCourseGroupBrowserTableDataProvider($browser, $condition);
        parent :: __construct($data_provider, LocationCourseGroupBrowserTable :: DEFAULT_NAME, $model, $renderer);
        $this->set_additional_parameters($parameters);
        $this->set_default_row_count(20);
    }
}
?>