<?php

namespace application\weblcms;

use common\libraries\Translation;
use common\libraries\DeleteObjectWebserviceHandler;

class ContentObjectPublicationCategoryDeleteWebserviceHandler extends DeleteObjectWebserviceHandler
{

    public function get_object()
    {
        return WeblcmsDataManager :: get_instance()->retrieve_content_object_publication_category($this->get_id());
    }

    public function get_object_translation()
    {
        return Translation :: get('ContentObjectPublicationCategory');
    }

    function is_allowed_to_delete_object($object)
    {
        if ($this->get_user()->is_platform_admin())
        {
            return true;
        }
        return WeblcmsDataManager :: get_instance()->is_course_admin($object->get_course(), $this->get_user_id());
    }

}

?>
