<?php

namespace application\weblcms;

use common\libraries\Translation;
use common\libraries\GetObjectWebserviceHandler;

class ContentObjectPublicationCategoryGetWebserviceHandler extends GetObjectWebserviceHandler
{

    public function get_object()
    {
        return WeblcmsDataManager :: get_instance()->retrieve_content_object_publication_category($this->get_id());
    }

    public function get_object_translation()
    {
        return Translation :: get('ContentObjectPublicationCategory');
    }

    public function is_allowed_to_retrieve_object($object)
    {
        return WeblcmsDataManager :: get_instance()->is_course_admin($object->get_course(), $this->get_user_id());
    }
}

?>
