<?php

namespace application\weblcms\tool\assignment;

use application\weblcms\Tool;
use common\libraries\Request;
use application\weblcms\ToolComponent;

/**
 *
 * @package application.weblcms.tool.assignment.php.component
 *         
 *          Mover for assignment publications.
 *         
 * @author Joris Willems <joris.willems@gmail.com>
 * @author Alexander Van Paemel
 */
class AssignmentToolMoverComponent extends AssignmentTool
{

    function run()
    {
        ToolComponent :: launch($this);
    }

    function get_move_direction()
    {
        return Request :: get(Tool :: PARAM_MOVE_DIRECTION);
    }

}

?>