<?php

namespace application\weblcms\tool\assignment;

use common\libraries\DelegateComponent;

use common\extensions\repo_viewer\RepoViewer;
use common\libraries\Breadcrumb;
use common\libraries\BreadcrumbTrail;
use application\weblcms\ToolComponent;
use common\libraries\Translation;

/**
 *
 * @package application.weblcms.tool.assignment.php.component
 *         
 *          Publisher for assignment publications.
 *         
 * @author Joris Willems <joris.willems@gmail.com>
 * @author Alexander Van Paemel
 */
class AssignmentToolPublisherComponent extends AssignmentTool implements DelegateComponent
{

    function run()
    {
        ToolComponent :: launch($this);
    }

    function get_additional_parameters()
    {
        return array(RepoViewer :: PARAM_ID, RepoViewer :: PARAM_ACTION);
    }

}

?>