<?php
namespace application\weblcms\tool\assignment;

use application\weblcms\WeblcmsAssignmentSubmissionsTracker;
use common\libraries\ObjectTableColumn;

/**
 * Defines the columns for the submitter group submissions browser table.
 *
 * @author Anthony hurst (Hogeschool Gent)
 */
class SubmitterGroupSubmissionsBrowserTableColumnModel extends SubmitterSubmissionsTableColumnModel
{

    function __construct()
    {
        parent :: __construct();
    }

    function get_columns()
    {
        $columns = parent :: get_columns();
        $additional_columns = array();
        $additional_columns[] = new ObjectTableColumn(WeblcmsAssignmentSubmissionsTracker :: PROPERTY_SUBMITTER_ID, false);
        array_splice($columns, 3, 0, $additional_columns);
        return $columns;
    }
}

?>
