<?php
namespace application\weblcms\tool\home;

use application\weblcms\Tool;
use common\libraries\DelegateComponent;

class HomeTool extends Tool implements DelegateComponent
{
    const PARAM_TOOL = 'target_tool';
    
    const ACTION_CHANGE_TOOL_VISIBILITY = 'tool_visibility_changer';
    const ACTION_MAKE_TOOL_VISIBLE = 'tool_visible';
    const ACTION_MAKE_TOOL_INVISIBLE = 'tool_invisible';
    const ACTION_DELETE_LINKS = 'links_deleter';
    
    const DEFAULT_ACTION = self :: ACTION_BROWSE;

    function set_optional_parameters()
    {
    
    }

    function get_application_component_path()
    {
        return dirname(__FILE__) . '/component/';
    }

    /**
     * Helper function for the SubManager class,
     * pending access to class constants via variables in PHP 5.3
     * e.g.
     * $name = $class :: DEFAULT_ACTION
     *
     * DO NOT USE IN THIS SUBMANAGER'S CONTEXT
     * Instead use:
     * - self :: DEFAULT_ACTION in the context of this class
     * - YourSubManager :: DEFAULT_ACTION in all other application classes
     */
    static function get_default_action()
    {
        return self :: DEFAULT_ACTION;
    }

    /**
     * Helper function for the SubManager class,
     * pending access to class constants via variables in PHP 5.3
     * e.g.
     * $name = $class :: PARAM_ACTION
     *
     * DO NOT USE IN THIS SUBMANAGER'S CONTEXT
     * Instead use:
     * - self :: PARAM_ACTION in the context of this class
     * - YourSubManager :: PARAM_ACTION in all other application classes
     */
    static function get_action_parameter()
    {
        return self :: PARAM_ACTION;
    }
}
?>