<?php
namespace application\weblcms\tool\learning_path;

use application\weblcms\WeblcmsRights;
use common\extensions\repo_viewer\RepoViewer;
use application\weblcms\ToolComponent;
use common\libraries\DelegateComponent;

class LearningPathToolRightsEditorComponent extends LearningPathTool implements DelegateComponent
{

    function run()
    {
        ToolComponent :: launch($this);
    }

    function get_available_rights($location)
    {
        return WeblcmsRights :: get_available_rights($location);
    }

    function get_additional_parameters()
    {
        return array(RepoViewer :: PARAM_ID, RepoViewer :: PARAM_ACTION);
    }

}

?>