<?php
namespace application\weblcms\tool\streaming_video;

use application\weblcms\WeblcmsRights;
use application\weblcms\Tool;
use application\weblcms\ToolComponent;
use common\libraries\DelegateComponent;

class StreamingVideoToolRightsEditorComponent extends StreamingVideoTool implements DelegateComponent
{

    function run()
    {
        ToolComponent :: launch($this);
    }

    function get_available_rights($location)
    {
        return WeblcmsRights :: get_available_rights($location);
    }

    function get_additional_parameters()
    {
        array(Tool :: PARAM_PUBLICATION_ID);
    }

}

?>