<?php
namespace common\extensions\external_repository_manager\implementation\youtube;

use repository\ExternalUserSetting;

use common\libraries\Translation;
use common\libraries\Utilities;

class LoginComponent extends Manager
{

    function run()
    {
        if (! ExternalUserSetting :: get('session_token', $this->get_external_repository()->get_id()))
        {
            if ($this->get_external_repository_manager_connector()->login())
            {
                $parameters = $this->get_parameters();
                $parameters[Manager :: PARAM_EXTERNAL_REPOSITORY_MANAGER_ACTION] = Manager :: ACTION_BROWSE_EXTERNAL_REPOSITORY;
                $this->redirect(Translation :: get('LoginSuccessful', null, Utilities :: COMMON_LIBRARIES), false, 
                        $parameters);
            }
            else
            {
                $parameters = $this->get_parameters();
                $parameters[Manager :: PARAM_EXTERNAL_REPOSITORY_MANAGER_ACTION] = Manager :: ACTION_BROWSE_EXTERNAL_REPOSITORY;
                $this->redirect(Translation :: get('LoginFailed', null, Utilities :: COMMON_LIBRARIES), true, 
                        $parameters);
            }
        }
        else
        {
            $parameters = $this->get_parameters();
            $parameters[Manager :: PARAM_EXTERNAL_REPOSITORY_MANAGER_ACTION] = Manager :: ACTION_BROWSE_EXTERNAL_REPOSITORY;
            $this->redirect(Translation :: get('LoginSuccessful', null, Utilities :: COMMON_LIBRARIES), false, 
                    $parameters);
        }
    }
}
?>