<?php
namespace common\extensions\external_repository_manager;

use common\libraries\Path;
use common\libraries\Theme;
use common\libraries\Request;
use common\libraries\CssUtilities;

require_once dirname(__FILE__) . '/../../../init.inc.php';

$theme = Request :: get('theme'); // theme in the url means that changing the theme will invalidate the cache
$root = Path :: get_common_extensions_path() . 'external_repository_manager/implementation/';

$external_repository_manager_types = Manager :: get_registered_types();
while ($external_repository_manager_type = $external_repository_manager_types->next_result())
{
    $path = $root . $external_repository_manager_type->get_name() . '/resources/css/' . $theme . '/' . $theme . '.css';
    echo CssUtilities :: get($path);
}
?>