<?php
namespace common\extensions\external_repository_manager;

use common\libraries\NewObjectTableColumnModelActionsColumnSupport;
use common\libraries\NewObjectTableColumnModel;
use common\libraries\ObjectTableColumn;

class DefaultExternalObjectTableColumnModel extends NewObjectTableColumnModel implements 
        NewObjectTableColumnModelActionsColumnSupport
{

    /**
     * Initializes the columns for the table
     */
    public function initialize_columns()
    {
        $this->add_column(new ObjectTableColumn(ExternalObject :: PROPERTY_TYPE, false));
        $this->add_column(new ObjectTableColumn(ExternalObject :: PROPERTY_TITLE));
        $this->add_column(new ObjectTableColumn(ExternalObject :: PROPERTY_DESCRIPTION));
        $this->add_column(new ObjectTableColumn(ExternalObject :: PROPERTY_CREATED));
    }
}
?>