<?php
namespace common\extensions\external_repository_manager;

use common\libraries\Toolbar;

use common\libraries\NewGalleryObjectTableCellRendererActionsSupport;
use common\libraries\NewGalleryObjectTableCellRenderer;

abstract class DefaultExternalObjectGalleryObjectTableCellRenderer extends NewGalleryObjectTableCellRenderer implements 
        NewGalleryObjectTableCellRendererActionsSupport

{

    function get_object_actions($object)
    {
        $toolbar = new Toolbar();
        $toolbar->add_items($this->get_component()->get_external_repository_object_actions($object));
        return $toolbar->as_html();
    }
}
?>