<?php

namespace common\extensions\repo_viewer;

use common\libraries\Utilities;

use repository\SharedRepositoryCategoryTreeMenu;
use repository\RepositoryManager;

/**
 * @author Pieterjan Broekaert Hogeschool Gent
 */
class RepositorySharedCategoryMenu extends SharedRepositoryCategoryTreeMenu
{
    /**
     * Returns the url of a node
     *
     * @param int $node_id
     *
     * @return string
     */
    public function get_node_url($node_id)
    {
        $parameters = array();
        $parameters[RepositoryManager :: PARAM_SHARED_CATEGORY_ID] = $node_id; 
        $parameters[RepoViewerBrowserComponent :: SHARED_BROWSER] = 1;

        return $this->get_parent()->get_url($parameters);
    }

}

?>