<?php
namespace common\extensions\repo_viewer;

use repository\ContentObject;
use common\libraries\NewObjectTableColumnModelActionsColumnSupport;
use common\libraries\NewObjectTableColumnModel;
use common\libraries\ObjectTableColumn;

class ImportTableColumnModel extends NewObjectTableColumnModel implements NewObjectTableColumnModelActionsColumnSupport
{

    /**
     * Initializes the columns for the table
     */
    public function initialize_columns()
    {
        $this->add_column(new ObjectTableColumn(ContentObject :: PROPERTY_TYPE));
        $this->add_column(new ObjectTableColumn(ContentObject :: PROPERTY_TITLE));
        $this->add_column(new ObjectTableColumn(ContentObject :: PROPERTY_DESCRIPTION));
    }
}
?>