<?php
namespace common\extensions\video_conferencing_manager;

use common\libraries\DatetimeUtilities;
use common\libraries\Utilities;
use common\libraries\Theme;
use common\libraries\Translation;
use common\libraries\ToolbarItem;
use common\libraries\NewObjectTableCellRenderer;
use common\libraries\NewObjectTableCellRendererActionsColumnSupport;
use common\libraries\Toolbar;

class DefaultConferenceObjectTableCellRenderer extends NewObjectTableCellRenderer implements
        NewObjectTableCellRendererActionsColumnSupport
{

    function get_object_actions($object)
    {
        $toolbar = new Toolbar();
        $toolbar->add_items($this->get_component()->get_video_conferencing_object_actions($object));
        return $toolbar->as_html();
    }
}
?>