<?php
namespace common\extensions\video_conferencing_manager;

use common\libraries\NewObjectTableDataProvider;

class DefaultConferenceObjectTableDataProvider extends NewObjectTableDataProvider
{

    function get_objects($offset, $count, $order_property = null)
    {
        $order_property = $this->get_order_property($order_property);
        return $this->get_object_table()->get_component()->retrieve_video_conferencing_objects($this->get_condition(),
                $order_property, $offset, $count);
    }

    function get_object_count()
    {
        return $this->get_object_table()->get_component()->count_video_conferencing_objects($this->get_condition());
    }
}
?>