<?php
namespace common\libraries\form;
/*
 * Class to check if the uploaded file is a valid file
 */
class File extends Rule
{

    public function __construct($type)
    {
        parent :: __construct('Only valid files are allowed');
    }

    public function control($value)
    {
        return preg_match('{^[^\\/\*\?\:\,]+$}', $value);
    }
}
?>