<?php
namespace common\libraries;

/**
 * Parent class for all abstract conditions used to retrieve objects from the storage layer
 *
 * @author Tim De Pauw
 * @author Hans De Bisschop
 * @package common.libraries
 */
class Condition implements Hashable
{

    /**
     * Get a non-order sensitive md5 hash for the condition
     *
     * @return string
     */
    function hash()
    {
        return md5(serialize($this));
    }
}
?>