<?php

namespace common\libraries;

/**
 * This class represents a parameter not defined exception. Throw this if you expected an URL parameter that is not there
 */
class ParameterNotDefinedException extends \Exception
{
    public function __construct($parameter)
    {
        parent :: __construct(Translation :: get('ParameterNotDefined', array('PARAMETER' => $parameter)));
    }
}

?>