<?php
namespace common\libraries;

/**
 * Translation of ConditionVariables in the context of an MDB2-based storage layer
 *
 * @package common.libraries
 * @author Hans De Bisschop
 */
class Mdb2FixedPropertyConditionVariableTranslator extends Mdb2ConditionVariableTranslator
{

    function translate()
    {
        return $this->get_condition_translator()->get_data_manager()->escape_column_name($this->get_condition_variable()->get_property(), $this->get_condition_variable()->get_alias());
    }
}
?>