<?php
namespace common\libraries;

use DOMDocument;
use SimpleXMLElement;

class XmlRestResult extends RestResult
{
    const PARSE_DOM = 'DOM';
    const PARSE_SIMPLEXML = 'simplexml';

    /**
     * @return DOMDocument
     */
    function get_response_content($parse = self :: PARSE_DOM)
    {
        if ($parse == self :: PARSE_DOM)
        {
            $document = new DOMDocument();
            $document->loadXML(parent :: get_response_content(false));
            return $document;
        }
        elseif ($parse == self :: PARSE_SIMPLEXML)
        {
            return new SimpleXMLElement(parent :: get_response_content());
        }
        else
        {
            parent :: get_response_content(false);
        }
    }
}
?>