<?php
namespace home;

use common\libraries\Block;
use common\libraries\AjaxManager;
use common\libraries\JsonAjaxResult;
use common\libraries\Request;

/**
 * @author Hans De Bisschop
 * @dependency repository.content_object.assessment_multiple_choice_question;
 */
class HomeAjaxBlockList extends AjaxManager
{
    const PROPERTY_BLOCKS = 'blocks';

    /* (non-PHPdoc)
     * @see common\libraries.AjaxManager::required_parameters()
     */
    function required_parameters()
    {
        return array();
    }

    /* (non-PHPdoc)
     * @see common\libraries.AjaxManager::run()
     */
    function run()
    {
        $result = new JsonAjaxResult(200);
        $result->set_property(self :: PROPERTY_BLOCKS, DataManager :: get_platform_blocks());
        $result->display();
    }
}
?>