<?php

namespace home;

use common\libraries\Application;
use common\libraries\CoreApplication;
use common\libraries\WebApplication;
use common\libraries\Translation;
use common\libraries\Request;
use common\libraries\EqualityCondition;
use common\libraries\BreadcrumbTrail;
use common\libraries\AndCondition;
use common\libraries\Authentication;
use common\libraries\Theme;
/**
 * $Id: home.class.php 227 2009-11-13 14:45:05Z kariboe $
 * @package home.lib.home_manager.component
 */

class HomeManagerHomeComponent extends HomeManager
{

    /**
     * Runs this component and displays its output.
     */
    function run()
    {
        BreadcrumbTrail :: get_instance()->truncate();
        $view = Request :: get(HomeRenderer :: PARAM_VIEW_TYPE, HomeRenderer :: TYPE_DEFAULT);
        echo HomeRenderer :: as_html($view, $this->get_user());
    }

}

?>