<?php
namespace menu;

/**
 * @author Hans De Bisschop
 */
use common\libraries\Translation;

use common\libraries\BasicApplication;

use common\libraries\WebApplication;

use common\libraries\Header;

class SiteMapItemRenderer extends ItemRenderer
{

    function render()
    {
        $html = array();
        
        if ($this->get_item()->get_parent() == 0)
        {
            $html[] = '<div class="category">';
            $html[] = '<h1>';
            $html[] = $this->get_item_url();
            $html[] = '</h1>';
            $html[] = '<div class="clear"></div>';
            $html[] = '</div>';
        }
        else
        {
            $html[] = '<div class="item">' . $this->get_item_url() . '</div>';
        }
        return implode("\n", $html);
    }
}

?>
