<?php
namespace metadata;

use common\libraries\Request;

/**
 * Component to move metadata_element object
 * @author Sven Vanpoucke
 * @author Jens Vanderheyden
 */
class MetadataManagerMetadataElementMoverComponent extends MetadataManager
{

    /**
     * Runs this component and displays its output.
     */
    function run()
    {
        if ($metadata_element_id = Request :: get(MetadataManager :: PARAM_METADATA_ELEMENT))
        {
            $metadata_element = $this->retrieve_metadata_element($metadata_element_id);
            if ($move = Request :: get(MetadataManager :: PARAM_MOVE))
            {
                $metadata_element->move($move);
                $this->redirect('', false, array(
                        MetadataManager :: PARAM_ACTION => MetadataManager :: ACTION_BROWSE_METADATA_ELEMENTS));
            }
        }
    }
}
?>