<?php
namespace reporting;

use common\libraries\Export;
use common\libraries\Path;

class ReportingPdfExporter extends ReportingExporter
{

    function export()
    {
        $template = $this->get_template();
        
        //$data = $template->export();
        //$export = Export :: factory('pdf', $data);
        $export = Export :: factory('pdf', $template);
        $export->set_filename($this->get_file_name());
        $export->send_to_browser();
    }

    function save()
    {
        $template = $this->get_template();
        
        //$data = $template->export();
        //$export = Export :: factory('pdf', $data);
        $export = Export :: factory('pdf', $template);
        $export->set_filename($this->get_file_name());
        return $export->render_data();
    }
}
?>