<?php
namespace repository\content_object\dailymotion;

use repository\ContentObjectRendition;

class HtmlShortRenditionImplementation extends HtmlRenditionImplementation
{

    function render()
    {
        $target = $this->get_link_target();
        $object = $this->get_content_object();
        return '<span class="content_object"><a target="' . $target . '" href="' . htmlentities($object->get_url()) . '">' . htmlentities($object->get_title()) . '</a></span>';
    }
}
?>