<?php
namespace repository\content_object\document;

use common\libraries\Path;
use repository\ContentObjectRendition;
use repository\RepositoryManager;
use repository\JsonImageContentObjectRendition;

class JsonImageRenditionImplementation extends JsonRenditionImplementation
{

    function render()
    {
        $object = $this->get_content_object();

        if ($object->is_image())
        {
            $url = Path :: get(WEB_PATH) . RepositoryManager :: get_document_downloader_url($object->get_id());
            return array(JsonImageContentObjectRendition :: PROPERTY_URL => $url);
        }
        else
        {
            return ContentObjectRendition :: launch($this);
        }
    }
}
?>