<?php
namespace repository\content_object\match_question;

use repository\CpoContentObjectImport;
use repository\ContentObjectImport;

class CpoImportImplementation extends ImportImplementation
{

    function import()
    {
        return ContentObjectImport :: launch($this);
    }

    function post_import($content_object)
    {
        ContentObjectImport :: post_process($this, $content_object);

        $options = $content_object->get_options();

        foreach ($options as &$option)
        {
            $option->set_comment(
                    CpoContentObjectImport :: update_resources($this->get_controller(), $option->get_comment()));
        }

        $content_object->set_options($options);
        $content_object->update();
    }
}
?>