<?php
namespace repository\content_object\template;

use repository\ContentObjectResourceRenderer;
use repository\ContentObjectRendition;

class HtmlDescriptionRenditionImplementation extends HtmlRenditionImplementation
{

    function render()
    {
        return ContentObjectRendition :: launch($this);
    }

    function get_description()
    {
        $object = $this->get_content_object();
        $object_renderer = new ContentObjectResourceRenderer($this->get_context(), $object->get_design());
        return '<div class="template_design" style="margin-top: 1em;">' . $object_renderer->run() . '</div>';
    }
}
?>