<?php
namespace repository\content_object\twitter_search;

use common\libraries\SimpleTemplate;

use repository\ContentObjectRendition;

class HtmlShortRenditionImplementation extends HtmlRenditionImplementation
{

    function render()
    {
        $object = $this->get_content_object();
        $template = '<span class="content_object"><a href="{$HREF}">{$TITLE}</a></span>';
        return SimpleTemplate :: ex($template, array('HREF' => htmlentities($object->get_url()), 
                'TITLE' => $object->get_title()));
    }
}
?>