<?php

namespace repository;

use common\libraries\NewObjectTableDataProvider;

/**
 * Description of impact_view_table_data_provider
 *
 * @author Pieterjan Broekaert
 */
class ImpactViewTableDataProvider extends NewObjectTableDataProvider
{
    
    public function get_object_count()
    {
        return RepositoryDataManager :: get_instance()->count_content_objects($this->get_condition());
    }
    
    public function get_objects($offset, $count, $order_property = null)
    {
        return RepositoryDataManager :: get_instance()->retrieve_content_objects($this->get_condition());
    }
}

?>
