<?php
namespace repository;

use common\extensions\reporting_viewer\ReportingViewer;

/**
 * Description of reporting_template_viewer
 *
 * @author Soliber
 */

class ComplexDisplayComponentReportingTemplateViewerComponent extends ComplexDisplayComponent
{
    private $params;
    private $template_name;

    /**
     * Runs this component and displays its output.
     */
    function run()
    {
        $rtv = ReportingViewer :: construct($this);
        $rtv->add_template_by_name($this->template_name, $this->get_parent()->get_application_name());
        $rtv->set_breadcrumb_trail($this->get_parent()->get_breadcrumbtrail());
        $rtv->show_all_blocks();
        
        $rtv->run();
    }

    function get_template_name()
    {
        return $this->template_name;
    }

    function set_template_name($name)
    {
        $this->template_name = $name;
    }

    function get_params()
    {
        return $this->params;
    }

    function set_params($params)
    {
        $this->params = $params;
    }
}
?>