<?php
namespace repository;

use common\libraries\Translation;
use common\libraries\AndCondition;
use common\libraries\InCondition;
use common\libraries\EqualityCondition;
use common\libraries\Utilities;

abstract class ContentObjectActivator extends \common\libraries\package\Activator
{

    function run()
    {
        $success = parent :: run();

        if (! $success)
        {
            return false;
        }

        $success = RepositoryDataManager :: activate_content_object_type(self :: context());

        if (! $success)
        {
            $this->failed(Translation :: get('ContentObjectStatusUpdateFailed'));
        }
        else
        {
            return true;
        }
    }
}
?>