<?php
namespace repository;

use common\libraries\Theme;

class HtmlFullContentObjectRendition extends HtmlContentObjectRendition
{
    function render()
    {
        $object = $this->get_content_object();
        $html = array();
        $html[] = '<div class="content_object" style="background-image: url(' . $object->get_icon_path() . ');">';
        $html[] = '<div class="title">' . $object->get_title() . '</div>';
        $html[] = ContentObjectRenditionImplementation::launch($object, ContentObjectRendition::FORMAT_HTML, ContentObjectRendition :: VIEW_DESCRIPTION, $this->get_context());
        $html[] = '</div>';
        $html[] = '<div class="clear"></div>';

        return implode("\n", $html);
    }
}
?>