<?php
namespace repository;

use common\libraries\ObjectTableDataProvider;

class ExternalInstanceBrowserTableDataProvider extends ObjectTableDataProvider
{

    /**
     * Constructor
     *
     * @param $browser ExternalInstanceManager
     * @param $condition Condition
     */
    function __construct($browser, $condition)
    {
        parent :: __construct($browser, $condition);
    }

    /**
     *
     * @param $offset int
     * @param $count int
     * @param $order_property string
     * @return ResultSet A set of matching external repositories.
     */
    function get_objects($offset, $count, $order_property = null)
    {
        $order_property = $this->get_order_property($order_property);
        return RepositoryDataManager :: get_instance()->retrieve_external_instances($this->get_condition(), $offset,
                $count, $order_property);
    }

    function get_object_count()
    {
        return RepositoryDataManager :: get_instance()->count_external_instances($this->get_condition());
    }
}
?>