<?php
namespace repository;

use common\libraries\ObjectTableDataProvider;

/**
 * $Id: repository_browser_table_data_provider.class.php 204 2009-11-13
 * 12:51:30Z kariboe $
 * 
 * @package repository.lib.repository_manager.component.browser
 */

class RepositoryBrowserTableDataProvider extends ObjectTableDataProvider
{
    private $type;

    /**
     * Constructor
     * 
     * @param $browser RepositoryManagerComponent           
     * @param $condition Condition           
     */
    function __construct($browser, $condition, $type)
    {
        parent :: __construct($browser, $condition);
        $this->type = $type;
    }

    function get_objects($offset, $count, $order_property = null)
    {
        $order_property = $this->get_order_property($order_property);
        return RepositoryDataManager :: get_instance()->retrieve_active_content_objects($this->get_condition(), $order_property, $offset, $count, null, $this->type);
    }

    function get_object_count()
    {
        return RepositoryDataManager :: get_instance()->count_active_content_objects($this->get_condition(), null, $this->type);
    }
}
?>