<?php
namespace repository;

use admin\RegistrationBrowserTable;
use common\libraries\ObjectTable;
use common\libraries\Utilities;
/**
 * $Id: registration_browser_table.class.php 126 2009-11-09 13:11:05Z vanpouckesven $
 * @package admin.lib.package_manager.component.registration_browser
 */

/**
 * Table to display a set of content objects.
 */
class ContentObjectRegistrationBrowserTable extends RegistrationBrowserTable
{

    function __construct($browser, $parameters, $condition)
    {
        $model = new ContentObjectRegistrationBrowserTableColumnModel();
        $renderer = new ContentObjectRegistrationBrowserTableCellRenderer($browser);
        $data_provider = new ContentObjectRegistrationBrowserTableDataProvider($browser, $condition);
        ObjectTable :: __construct($data_provider, Utilities :: get_classname_from_namespace(__CLASS__, true), $model, $renderer);
        $this->set_additional_parameters($parameters);
        $this->set_default_row_count(20);
    }
}
?>
