<?php
namespace repository;

use common\libraries\StaticTableColumn;

/**
 * a column where the cells render a right
 *
 * @author Pieterjan Broekaert
 */
class ShareRightColumn extends StaticTableColumn
{
    private $right_id;

    function __construct($title, $right_id)
    {
        $this->right_id = $right_id;
        parent :: __construct($title);
    }

    function get_right_id()
    {
        return $this->right_id;
    }
}

?>
