<?php

namespace repository;

use common\libraries\Translation;
use common\libraries\GetObjectListWebserviceHandler;
use common\libraries\EqualityCondition;

class ComplexContentObjectItemGetListWebserviceHandler extends GetObjectListWebserviceHandler
{

    public function get_objects()
    {
        return RepositoryDataManager :: get_instance()->retrieve_complex_content_object_items(new EqualityCondition(ComplexContentObjectItem :: PROPERTY_USER_ID, $this->get_user_id()));
    }

    public function get_objects_translation()
    {
        return Translation :: get('ComplexContentObjects');
    }
}
?>
