<?php

namespace rights;

/**
 * interface for entities to which rights can be applied. eg: Users, groups,
 *
 * @author Pieterjan Broekaert
 */
interface RightsEntityInterface
{

    function get_entity_items($user_id);

    function get_entity_type();

    /**
     * deprecated
     */
    function get_entity_right_location($right, $entity_id, $location_id);

}
?>
