targetdir='/path/to/target-repo'
sourcedir='/path/to/source-repo'
oldthemename='' #naam te kopieren thema
newthemename= ''  #naam nieuw thema

cd $sourcedir

#alle resource folders, behalve children van .hg folders
find . -type d -name resources | grep -v '\/.hg\/' | while read resdir
do
  #als er een css child folder is
  if [ -d $resdir/css ]
  then
    #copy css
    cp -Rv $sourcedir/$resdir/css/$oldthemename $targetdir/$resdir/css/$newthemename

    if [ $oldthemename != $newthemename ]
    then
      #rename theme css file
      mv $targetdir/$resdir/css/$newthemename/${oldthemename}.css $targetdir/$resdir/css/$newthemename/${newthemename}.css
    fi
  fi

  #als er een images child folder is
  if [ -d $resdir/images ]
  then
    #copy images + folder
    cp -Rv $sourcedir/$resdir/images/$oldthemename $targetdir/$resdir/images/$newthemename
  fi
done
